This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 475845 - httpd fails to start with coredump in libapr with large /etc/hosts file
httpd fails to start with coredump in libapr with large /etc/hosts file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apr (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 14:00 EST by jared mauch
Modified: 2014-09-15 07:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:56:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jared: needinfo-


Attachments (Terms of Use)

  None (edit)
Description jared mauch 2008-12-10 14:00:34 EST
Description of problem:

apache (httpd) fails to start when there is a large /etc/hosts entry for the local hostname, eg:

204.42.254.131  punk punk.nether.net ad.doubleclick.net bs.serving-sys.com northwestairlines.112.2o7.net ads.mlive.com ads.uppitywis.org media.fastclick.net cdn.fastclick.net www.burstnet.com ads.pointroll.com servedby.advertising.com statse.webtrendslive.com ue.corp.yahoo.com fe.shortcuts.search.yahoo.com shortcuts.yahoo.com ad.yieldmanager.com pixel.quantserve.com an.tacoda.net s.clickability.com pix01.revsci.net www.adfusion.com ads.revsci.net ads.adsonar.com tag.contextweb.com ads.adsonar.com imagec05.247realmedia.com ads.cnn.com tracking.keywordmax.com quantserve.com r1.beta.ace.advertising.com edge.quantserve.com uac.advertising.com secure-us.imrworldwide.com adserver.adtechus.com network.realmedia.com aka-cdn-ns.adtechus.com optimized-by.rubiconproject.com open.ad.yieldmanager.net ad.thehill.com gannett.gcion.com track.pubmatic.com showads.pubmatic.com freep.ur.gcion.com metrics.mms.mavenapps.net static.ur.gcion.com cdn1.eyewonder.com


Version-Release number of selected component (if applicable):


How reproducible:
Create a large /etc/hosts entry for the name that httpd selects


Steps to Reproduce:
1. edit /etc/hosts and specify a long list of hostnames (see above)
2. start httpd
3. check dmesg/kernel logs as well as cwd for core file, and relevant logs, eg:

httpd[28455]: segfault at 10 ip b7c5d9da sp bf94fe20 error 4 in libapr-1.so.0.3.3[b7c42000+2a000]
httpd[28571]: segfault at 10 ip b7c2c9da sp bfd1dfe0 error 4 in libapr-1.so.0.3.3[b7c11000+2a000]

  
Actual results:

httpd fails to launch shortly after reading /etc/hosts

Expected results:

httpd launches

Additional info:
Exists in both Fedora 10 & Rawhide.  Did not appear to exist in Fedora 9 but unconfirmed.
Comment 1 jared mauch 2008-12-10 14:06:00 EST
stack trace of core:

#0  0xb7d4b9da in apr_getnameinfo () from /usr/lib/libapr-1.so.0
#1  0xb80070ca in ap_get_local_host () from /usr/sbin/httpd
#2  0xb80061ec in ap_fini_vhost_config () from /usr/sbin/httpd
#3  0xb8004989 in main () from /usr/sbin/httpd

package versions:

httpd-2.2.10-2.i386
apr-util-1.3.4-1.fc10.i386
apr-1.3.3-1.fc10.i386
Comment 2 Bojan Smojver 2008-12-10 17:30:24 EST
Could you install debuginfo packages and then give us another backtrace?
Comment 3 Bug Zapper 2009-06-09 06:13:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:30:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 06:56:04 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 jared mauch 2014-09-15 07:30:00 EDT
Removing myself from needing to supply info notify. Keep closed won't fix.

Note You need to log in before you can comment on or make changes to this bug.